---
title: SVGGeometryElement.isPointInStroke()
slug: Web/API/SVGGeometryElement/isPointInStroke
tags:
  - API
  - DOM
  - Method
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <code><strong>SVGGeometryElement.isPointInStroke()</strong></code> method determines whether a given point is within the stroke shape of an element. Normal hit testing rules apply; the value of the {{cssxref("pointer-events")}} property on the element determines whether a point is considered to be within the stroke. The <code>point</code> argument is interpreted as a point in the local coordiante system of the element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">boolean <var>someElement</var>.isPointInStroke(DOMPointInit <var>point</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>point</dt>
 <dd>A {{domxref("DOMPointInit")}} interpreted as a point in the local coordinate system of the element.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A boolean indicating whether the given point is within the stroke or not.</p>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html">&lt;svg viewBox="0 0 100 100" width="150" height="150"
    xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;circle id="circle" cx="50" cy="50" r="45"
      fill="white" stroke="black" stroke-width="10"/&gt;

  &lt;circle cx="10" cy="10" r="5" fill="seagreen"/&gt;
  &lt;circle cx="40" cy="30" r="5" fill="seagreen"/&gt;
  &lt;circle cx="83" cy="17" r="5" fill="seagreen"/&gt;
&lt;/svg&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">var circle = document.getElementById('circle');

// Point not in circle
console.log('Point at 10,10:', circle.isPointInStroke(new DOMPoint(10, 10)));

// Point in circle but not stroke
console.log('Point at 40,30:', circle.isPointInStroke(new DOMPoint(40, 30)));

// Point in circle stroke
console.log('Point at 83,17:', circle.isPointInStroke(new DOMPoint(83, 17)));</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", "150", "150")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#__svg__SVGGeometryElement__isPointInStroke", "SVGGeometryElement.isPointInStroke()")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGeometryElement.isPointInStroke")}}</p>
